Name:          gs-collections
Version:       5.1.0
Release:       3%{?dist}
Summary:       A supplement or replacement for the Java Collections Framework
License:       ASL 2.0
URL:           https://github.com/goldmansachs/gs-collections
Source0:       https://github.com/goldmansachs/gs-collections/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.jcip:jcip-annotations)
BuildRequires: mvn(org.antlr:ST4)
BuildRequires: mvn(org.apache.ant:ant)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)

BuildArch:     noarch

%description
Goldman Sachs Collections is a collections framework for Java. It
has JDK-compatible List, Set and Map implementations with a rich API and
set of utility classes that work with any JDK compatible Collections,
Arrays, Maps or Strings. The iteration protocol was inspired by the
Smalltalk collection framework.

%package api
Summary:       Goldman Sachs Collections API

%description api
Goldman Sachs Collections API.

%package code-generator
Summary:       Goldman Sachs Collections Code Generator

%description code-generator
Goldman Sachs Collections Code Generator.

%package code-generator-ant
Summary:       Goldman Sachs Collections Code Generator Ant Task

%description code-generator-ant
Goldman Sachs Collections Code Generator Ant Task.

%package code-generator-maven-plugin
Summary:       Goldman Sachs Collections Code Generator Maven Plugin

%description code-generator-maven-plugin
Goldman Sachs Collections Code Generator Maven Plugin.

%package forkjoin
Summary:       Goldman Sachs Collections Fork Join Utilities

%description forkjoin
Goldman Sachs Collections Fork Join Utilities.

%package parent
Summary:       Goldman Sachs Collections Parent Project

%description parent
Goldman Sachs Collections Parent POM Project.

%package testutils
Summary:       Goldman Sachs Collections API

%description testutils
Goldman Sachs Collections API.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

# Unavailable plugins
%pom_remove_plugin -r :clirr-maven-plugin
%pom_remove_plugin -r :findbugs-maven-plugin
%pom_remove_plugin -r :maven-clover2-plugin
%pom_remove_plugin -r :sonar-maven-plugin
%pom_remove_plugin -r :versions-maven-plugin
# Unwanted task
%pom_remove_plugin -r :maven-checkstyle-plugin
%pom_remove_plugin -r :maven-dependency-plugin
%pom_remove_plugin -r :maven-source-plugin

%pom_disable_module unit-tests
%pom_disable_module scala-unit-tests
%pom_disable_module serialization-tests
%pom_disable_module jmh-scala-tests
%pom_disable_module jmh-tests

# Use maven 3.x apis only
%pom_remove_plugin :maven-enforcer-plugin %{name}-code-generator-maven-plugin
%pom_change_dep :maven-project :maven-core %{name}-code-generator-maven-plugin

# Convert from dos to unix line ending
sed -i.orig 's|\r||g' README.md
touch -r README.md.orig README.md
rm README.md.orig

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}

%files api -f .mfiles-%{name}-api
%doc README.md
%license LICENSE-2.0.txt NOTICE

%files code-generator -f .mfiles-%{name}-code-generator
%license LICENSE-2.0.txt NOTICE

%files code-generator-ant -f .mfiles-%{name}-code-generator-ant
%files code-generator-maven-plugin -f .mfiles-%{name}-code-generator-maven-plugin
%files forkjoin -f .mfiles-%{name}-forkjoin
%files parent -f .mfiles-%{name}-parent
%license LICENSE-2.0.txt NOTICE

%files testutils -f .mfiles-%{name}-testutils

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt NOTICE

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 23 2016 gil cattaneo <puntogil@libero.it> 5.1.0-2
- add missing BR: maven-plugin-plugin

* Tue Jul 12 2016 gil cattaneo <puntogil@libero.it> 5.1.0-1
- initial rpm
